#include <iostream>
#include <windows.h>

#define PLUGIN_NUM 2

using std::cout;
using std::endl;

typedef int (*API_Calc)(int param1, int param2);

int main(void)
{
	HMODULE hmod[PLUGIN_NUM];

	hmod[0] = LoadLibrary("PluginAAA.dll");
	hmod[1] = LoadLibrary("PluginBBB.dll");

	API_Calc Calc;
	for (int i = 0; i < PLUGIN_NUM; i++) {
		Calc = (API_Calc)GetProcAddress(hmod[i], "Calc");

		if (Calc != NULL) {
			cout << "Result: " << Calc(2, 5) << endl;
		} else {
			cout << "err" << endl;
		}
	}

	FreeLibrary(hmod[0]);
	FreeLibrary(hmod[1]);
	return 0;
}
